<?php

if (!defined("WHMCS"))
    die("This file cannot be accessed directly");

global $db_host,$db_username,$db_password,$db_name;
        //Connect to billing database

$conn = mysqli_connect($db_host,$db_username,$db_password,$db_name);
if (!$conn) {
    die("Connection failed: " . mysqli_connect_error());
}

$reportdata["title"] = "Tickets per category";
$reportdata["description"] = "This report provides the sum of tickets per category/department on the selected date range.";

$reportdata["headertext"] = '<form method="post" action="reports.php?report=Tickets_per_category">Date Range: <input type="text" name="datefrom" value="'.$datefrom.'" class="datepick" /> to <input type="text" name="dateto" value="'.$dateto.'" class="datepick" /> (Leave blank for all time) <input type="submit" value="Generate Report" /></form>';

if ((strlen($_REQUEST["datefrom"]) === 10) AND ((strlen($_REQUEST["dateto"]) === 10))){ 
	$datefrom = DateTime::createFromFormat('d/m/Y', $_REQUEST["datefrom"])->format('Y-m-d');
	$dateto = DateTime::createFromFormat('d/m/Y', $_REQUEST["dateto"])->format('Y-m-d');
	$query = "SELECT td.name as Department, count(t.id) as count FROM tbltickets t JOIN tblticketdepartments td on td.id=t.did where t.merged_ticket_id = 0 and DATE(t.date) >= '" . $datefrom . "' and  DATE(t.date) <= '" . $dateto . "' group by td.id;";
}else if ((strlen($_REQUEST["datefrom"]) === 0) AND ((strlen($_REQUEST["dateto"]) === 0))){
	$query = "SELECT td.name as Department, count(t.id) as count FROM tbltickets t JOIN tblticketdepartments td on td.id=t.did where t.merged_ticket_id = 0 group by td.id;";
}else{
	$query = "";
}

$result = mysqli_query($conn,$query); 

$reportdata["tableheadings"] = array("Department", "Ticket Count");


while($data = mysqli_fetch_array($result)) {
	$department = $data["Department"];
	$count = $data["count"];
	$reportdata["tablevalues"][] = array($department,$count);
}


?>
